Endpoints · Protocols

List protocols

Returns protocols in the latest screen, largest TVL first.

GET/api/v1/protocols

Scope: read

Parameters

Request
curl -G https://yieldsniper.finance/api/v1/protocols \
  -H "Authorization: Bearer $YS_API_KEY" \
  -d q=3jane \
  -d limit=10
Response200
{
  "object": "list",
  "data": [
    {
      "object": "protocol",
      "id": "prt_3jane-lending",
      "name": "3Jane Lending",
      "chains": [
        {
          "id": "ethereum",
          "name": "Ethereum"
        }
      ],
      "instruments": {
        "total": 2,
        "passed": 1
      },
      "tvl": 100545486,
      "audit": {
        "on_record": true,
        "count": 2
      },
      "incidents": {
        "count": 0,
        "last_at": null,
        "total_lost": 0
      },
      "age_days": 415,
      "as_of": "2026-10-23T23:45:21.116Z"
    },
    {
      "object": "protocol",
      "id": "prt_3jane-options",
      "name": "3Jane Options",
      "chains": [
        {
          "id": "ethereum",
          "name": "Ethereum"
        }
      ],
      "instruments": {
        "total": 1,
        "passed": 0
      },
      "tvl": 103356,
      "audit": {
        "on_record": true,
        "count": 2
      },
      "incidents": {
        "count": 0,
        "last_at": null,
        "total_lost": 0
      },
      "age_days": 862,
      "as_of": "2026-10-23T23:45:21.116Z"
    }
  ],
  "total": 2,
  "has_more": false,
  "next_cursor": null,
  "access": "full",
  "as_of": "2026-10-23T23:45:21.116Z"
}

Returns